if (getMilestone(MS_KILLED_GOLEMS)) then
	music = "Flowey.ogg"
end

function start()
	sk0 = Object:new{x=3, y=3, anim_set="shopkeep0"}
	sk0d = Object:new{x=3, y=4}

	sk1 = Object:new{x=19, y=3, anim_set="shopkeep1"}
	sk1d = Object:new{x=19, y=4}

	sign = Object:new{x=11, y=4}

	out = Portal:new{x=11, y=13}
end

function stop()
end

function update(step)
	if (out:update()) then
		change_areas("flowey", 21, 27, DIRECTION_SOUTH)
	end
end

function activate(activator, activated)
	if (activated == sk0.id or activated == sk0d.id) then
		doDialogue("Shopkeeper: I handle the weapons and armor, my husband deals with potions.\n", true)
		doShop("Shopkeeper", "shopkeep0", 4, ITEM_BAMBOO_STAFF, 50, ITEM_ROUNDS, 2, ITEM_MYSTIC_ROBE, 50, ITEM_MAIL, 75)
	elseif (activated == sk1.id or activated == sk1d.id) then
		doDialogue("Shopkeeper: Hello, welcome to Flowey...\n", true)
		doShop("Shopkeeper", "shopkeep1", 5, ITEM_VITAL1, 5, ITEM_VITAL2, 35, ITEM_HEAL, 30, ITEM_ELIXIR, 100, ITEM_HOLY_WATER, 150)
	elseif (activated == sign.id) then
		doDialogue("...As you can see, we have the lowest prices around...\n")
	end
end

function collide(id1, id2)
end

